# Theme
colorScheme = "blowfish"
defaultAppearance = "dark"
autoSwitchAppearance = "false"
enableSearch = true

# Article settings
enableCodeCopy = true
smartTOC = true

[header]
  layout = "fixed"

[homepage]
  # Show the background
  # Credits: https://unsplash.com/photos/macbook-pro-JO_S6ewBqAk
  layout = "background"
  layoutBackgroundBlur = true
  homepageImage = "/img/home-bg.jpg"

  # Show recent posts
  showRecent = true
  cardView = true
  showRecentItems = 9
  showMoreLink = true
  showMoreLinkDest = "/posts"

[article]
  # Show the author
  showAuthor = true
  showAuthorBottom = true

  # Show the background
  showHero = true
  heroStyle = "background"
  layoutBackgroundBlur = true
  layoutBackgroundHeaderSpace = true

  # Show the button to see the source code
  showEdit = true
  editURL = "https://git.nicolabelluti.me/nicolabelluti/blog/src/branch/main/content"

  # Show the sharing links
  sharingLinks = [
    "linkedin",
    "twitter",
    "reddit",
    "whatsapp",
    "telegram",
    "pinterest",
    "facebook",
    "email",
  ]

  # Misc
  showHeadingAnchors = true
  showPagination = true
  showReadingTime = true
  showTableOfContents = true
  showTaxonomies = true
  showWordCount = false
  showZenMode = true

[list]
  showSummary = true
  cardView = true
